import makeRemarkCodeBlocks from './remarkCodeBlock.js';
const CodeBlockTagName = 'AutoImportedCodeBlock';
export const mdxCodeBlockAutoImport = (componentPath) => {
    // https://github.com/delucis/astro-auto-import/tree/main/packages/astro-auto-import#import-aliasing
    const codeBlockComponent = {
        [componentPath]: [['default', CodeBlockTagName]],
    };
    return codeBlockComponent;
};
export default function MDXCodeBlocks() {
    return {
        name: 'astro-mdx-code-blocks',
        hooks: {
            'astro:config:setup': ({ updateConfig }) => {
                updateConfig({
                    markdown: {
                        remarkPlugins: [
                            makeRemarkCodeBlocks({
                                tagName: CodeBlockTagName,
                            }),
                        ],
                    },
                });
            },
        },
    };
}
